This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 193443 - No sound with HDA/alc861
No sound with HDA/alc861
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-28 15:16 EDT by leopoldo.lara
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description leopoldo.lara 2006-05-28 15:16:57 EDT
Description of problem:
No spund at all come out with neither 2.6.15-1.2054_FC5smp nor 2.6.16-1.2122_FC5smp

Version-Release number of selected component (if applicable):
2.6.16-1.2122_FC5smp and 2.6.15-1.2054_FC5smp

Here i paste the autodetection log:
------- System Config Soundcard --------
Sun May 28 19:55:09 BST 2006

------- lspci --------
00:00.0 Host bridge: Intel Corporation Mobile Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile Integrated Graphics
Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile Integrated Graphics
Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3
(rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA
Storage Controllers cc=IDE (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:04.0 CardBus bridge: O2 Micro, Inc. OZ601/6912/711E0 CardBus/SmartCardBus
Controller (rev 40)
01:0a.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link)
03:00.0 Network controller: Intel Corporation Unknown device 4222 (rev 02)
04:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053 PCI-E Gigabit
Ethernet Controller (rev 20)

------- lsmod --------
Module                  Size  Used by
autofs4                22980  1 
hidp                   24001  2 
rfcomm                 42709  0 
l2cap                  31681  10 hidp,rfcomm
bluetooth              52901  5 hidp,rfcomm,l2cap
sunrpc                140925  1 
ip_conntrack_netbios_ns     6977  0 
ipt_REJECT              9537  1 
xt_state                6209  2 
ip_conntrack           54041  2 ip_conntrack_netbios_ns,xt_state
nfnetlink              10457  1 ip_conntrack
xt_tcpudp               7233  4 
iptable_filter          7105  1 
ip_tables              16389  1 iptable_filter
x_tables               16965  4 ipt_REJECT,xt_state,xt_tcpudp,ip_tables
video                  18885  0 
button                 10577  0 
battery                13253  0 
ac                      8901  0 
ipv6                  246561  16 
lp                     16265  0 
parport_pc             29413  0 
parport                38281  2 lp,parport_pc
nvram                  12617  0 
snd_hda_intel          21329  2 
snd_hda_codec         116033  1 snd_hda_intel
snd_seq_dummy           7749  0 
snd_seq_oss            33345  0 
snd_seq_midi_event     11073  1 snd_seq_oss
snd_seq                52401  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         12877  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            49105  0 
snd_mixer_oss          20417  1 snd_pcm_oss
snd_pcm                81093  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
ohci1394               35845  0 
joydev                 13441  0 
ipw3945               168488  1 
ieee1394              292761  1 ohci1394
ieee80211              32072  1 ipw3945
snd_timer              26693  2 snd_seq,snd_pcm
sky2                   40769  0 
sg                     36317  0 
ieee80211_crypt         9088  1 ieee80211
snd                    55109  13
snd_hda_intel,snd_hda_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
ehci_hcd               33229  0 
soundcore              13345  1 snd
uhci_hcd               33233  0 
i2c_i801               12493  0 
i2c_core               24769  1 i2c_i801
snd_page_alloc         14537  2 snd_hda_intel,snd_pcm
dm_snapshot            20205  0 
dm_zero                 6209  0 
dm_mirror              24081  0 
dm_mod                 55129  6 dm_snapshot,dm_zero,dm_mirror
ext3                  122057  2 
jbd                    57173  1 ext3
ata_piix               14149  2 
libata                 58321  1 ata_piix
sd_mod                 20545  3 
scsi_mod              129641  3 sg,libata,sd_mod

------- /etc/modprobe.conf --------
alias eth0 ipw3945
alias scsi_hostadapter ata_piix
alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel index=0
remove snd-hda-intel { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-hda-intel

------- /etc/asound.conf --------
#Generated by system-config-soundcard, do not edit by hand
#SWCONF
#DEV 0
defaults.pcm.card 0 
defaults.pcm.device 0 
defaults.ctl.card 0 

------- aplay -l --------
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC861 Analog [ALC861 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

------- amixer --------
Simple mixer control 'Headphone',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [on]
  Front Right: Playback [on]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 23
  Mono:
  Front Left: Playback 13 [57%] [on]
  Front Right: Playback 13 [57%] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 23
  Mono:
  Front Left: Playback 0 [0%] [off]
  Front Right: Playback 0 [0%] [off]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 13
  Front Left: Capture 0 [0%] [on]
  Front Right: Capture 0 [0%] [on]
Simple mixer control 'Input Source',0
  Capabilities: enum
  Items: 'Mic' 'CD'
  Item0: 'Mic'

------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.11rc2 (Wed Jan 04 08:57:20
2006 UTC).

------- rpm -q alsa-lib --------
alsa-lib-1.0.11-3.rc2.2

------- rpm -q alsa-utils --------
alsa-utils-1.0.11-4.rc2

------- /proc/asound/modules --------
 0 snd_hda_intel

------- /proc/asound/pcm --------
00-00: ALC861 Analog : ALC861 Analog : playback 1 : capture 2

------- system-config-soundcard --------

/usr/share/system-config-soundcard/soundcard.py:273: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:308: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
/usr/share/system-config-soundcard/soundcard.py:548: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  gtk.main()
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo
ALSA lib pcm_params.c:2152:(snd_pcm_hw_refine_slave) Slave PCM not usable
aplay: set_params:879: Broken configuration for this PCM: no configurations
available
Read config:
card 0
device 0
HW 0
----------- Kudzu -------------
Desc:           Intel Corporation 82801G (ICH7 Family) High Definition Audio
Controller
Driver:         snd-hda-intel
Device:         None

----------- **** -------------
Comment 1 Dave Jones 2006-10-16 15:52:44 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Tomasz Ostrowski 2007-06-12 07:25:56 EDT
I've just installed F7 on a system with this chip and also had no sound. After
some googling I found that changing this line in /etc/modprobe.conf
   options snd-hda-intel index=0
to
   options snd-hda-intel index=0 model=3stack
helped.

So I think this is a system-config-soundcard bug, not a kernel bug.

I cannot change "Version", "Component" nor clear "Status Whiteboard:
NeedsRetesting" attributes of this bug, though.
Comment 3 Chuck Ebbert 2007-06-12 16:21:54 EDT
The kernel should detect the model automatically, so this is still a kernel
bug. Problem is, there are hundreds of different models.
Comment 4 Jon Stanley 2008-01-19 23:41:58 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.